#pragma once

#include "vault.h"
#include "FL/glut.h"
#include "model.h"
#include "modelerdraw.h"

#define HEAD_RADIUS 2.5
#define HEADPIECE_BASE_WIDTH 2
#define HEADPIECE_TOP_WIDTH 1
#define HEADPIECE_DEPTH 0.2
#define HEADPIECE_HEIGHT 0.75

#define SPHERE_DIVISIONS 20

// Head model: Sphere centered at origin with the falcon headpiece thingy attached
class HeadModel : public Model {
private:
	// Add Properties, Shaders, Textures here
	RangeProperty head_rotation, head_angle;
	RGBProperty head_color, headpiece_color;

public:
	HeadModel(const char* name);
	// Override any of the functions in model.h to implement your own functionality.
	virtual void draw();
};